Loading...
Searching...
No Matches
TridiagonalMatrix.hpp File Reference

Provides a tridiagonal matrix that also supports non-zero entries in the upper right and lower left. More...

`#include <algorithm>`
`#include <cassert>`
`#include <cmath>`
`#include <iosfwd>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Opm::TridiagonalMatrix< Scalar >
| Provides a tridiagonal matrix that also supports non-zero entries in the upper right and lower left. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Functions

template<class Scalar>
std::ostream & | operator<< (std::ostream &os, const Opm::TridiagonalMatrix< Scalar > &mat)

## Detailed Description

Provides a tridiagonal matrix that also supports non-zero entries in the upper right and lower left.

The entries in the lower left and upper right are supported to make implementing periodic systems easy.

The API of this class is designed to be close to the one used by the DUNE matrix classes.